自己只做了个docker jekyll环境跑gitpage的blog。

Dockerfile

Dockerfile 目录文件详情

[root@xiexianbin_cn docker]# ll
total 15092
-rw-r--r-- 1 root root    2573 Oct 23 13:52 Centos-7.repo
-rw-r--r-- 1 root root     742 Oct 23 13:52 Dockerfile
-rw-r--r-- 1 root root     201 Oct 23 13:52 Gemfile
-rw-r--r-- 1 root root   80732 Oct 23 13:52 libuv-1.9.1-1.el7.x86_64.rpm
-rw-r--r-- 1 root root 4796624 Oct 23 13:53 nodejs-6.9.1-1.el7.x86_64.rpm
-rw-r--r-- 1 root root 2563156 Oct 23 13:53 npm-3.10.8-1.6.9.1.1.el7.x86_64.rpm
-rw-r--r-- 1 root root 4718592 Oct 23 13:54 ruby-2.3.1-1.el7.centos.x86_64.rpm
-rw-r--r-- 1 root root 3276800 Oct 23 13:54 ruby-debuginfo-2.3.1-1.el7.centos.x86_64.rpm
[root@xiexianbin_cn docker]# 

Docker相关文件下载地址:https://pan.baidu.com/s/1bM5cpo

Docker build 命令

docker build -t xiexianbin/centos7:jekyll .

docker build 过程

[root@xiexianbin_cn docker]# docker build -t xiexianbin/centos7:jekyll .
Sending build context to Docker daemon 25.89 MB
Sending build context to Docker daemon 
Step 0 : FROM xiexianbin/centos7:latest
 ---> 8c2683e1bd97
Step 1 : MAINTAINER Xie Xianbin "me@xiexianbin.cn"
 ---> Using cache
 ---> a3cf98d710d7
Step 2 : ENV REFRESHED_AT 2016-10-23
 ---> Using cache
 ---> 6b9495a2b7fe
Step 3 : RUN rm -rf /etc/yum.repos.d/*
 ---> Using cache
 ---> 161ef5fc2e62
Step 4 : COPY Centos-7.repo /etc/yum.repos.d/
 ---> Using cache
 ---> 15b362d75f68
Step 5 : RUN yum clean all
 ---> Using cache
 ---> 5f18012b1199
Step 6 : RUN yum -y install gcc git net-tools vim wget libxslt zlib-devel curl tar libyaml openssl make openssl-libs
 ---> Running in 1c6216347430
Loaded plugins: fastestmirror, ovl
http://mirrors.aliyuncs.com/centos/7/os/x86_64/repodata/c6411f1cc8a000ed2b651b49134631d279abba1ec1f78e5dcca79a52d8c1eada-primary.sqlite.bz2: [Errno 12] Timeout on http://mirrors.aliyuncs.com/centos/7/os/x86_64/repodata/c6411f1cc8a000ed2b651b49134631d279abba1ec1f78e5dcca79a52d8c1eada-primary.sqlite.bz2: (28, 'Connection timed out after 30001 milliseconds')
Trying other mirror.
Determining fastest mirrors
 * base: mirrors.aliyun.com
 * extras: mirrors.aliyun.com
 * updates: mirrors.aliyun.com
Package curl-7.29.0-25.el7.centos.x86_64 already installed and latest version
Package 2:tar-1.26-29.el7.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package gcc.x86_64 0:4.8.5-4.el7 will be installed
--> Processing Dependency: libgomp = 4.8.5-4.el7 for package: gcc-4.8.5-4.el7.x86_64
--> Processing Dependency: cpp = 4.8.5-4.el7 for package: gcc-4.8.5-4.el7.x86_64
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.8.5-4.el7.x86_64
--> Processing Dependency: libmpfr.so.4()(64bit) for package: gcc-4.8.5-4.el7.x86_64
--> Processing Dependency: libmpc.so.3()(64bit) for package: gcc-4.8.5-4.el7.x86_64
--> Processing Dependency: libgomp.so.1()(64bit) for package: gcc-4.8.5-4.el7.x86_64
---> Package git.x86_64 0:1.8.3.1-6.el7_2.1 will be installed
--> Processing Dependency: perl-Git = 1.8.3.1-6.el7_2.1 for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl >= 5.008 for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: rsync for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(warnings) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(vars) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(strict) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(lib) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(Term::ReadKey) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(Git) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(Getopt::Long) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(File::stat) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(File::Temp) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(File::Spec) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(File::Path) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(File::Find) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(File::Copy) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(File::Basename) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(Exporter) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: perl(Error) for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: openssh-clients for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: less for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: /usr/bin/perl for package: git-1.8.3.1-6.el7_2.1.x86_64
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: git-1.8.3.1-6.el7_2.1.x86_64
---> Package libxslt.x86_64 0:1.1.28-5.el7 will be installed
---> Package libyaml.x86_64 0:0.1.4-11.el7_0 will be installed
---> Package make.x86_64 1:3.82-21.el7 will be installed
---> Package net-tools.x86_64 0:2.0-0.17.20131004git.el7 will be installed
---> Package openssl.x86_64 1:1.0.1e-51.el7_2.7 will be installed
---> Package openssl-libs.x86_64 1:1.0.1e-51.el7_2.5 will be updated
---> Package openssl-libs.x86_64 1:1.0.1e-51.el7_2.7 will be an update
---> Package vim-enhanced.x86_64 2:7.4.160-1.el7 will be installed
--> Processing Dependency: vim-common = 2:7.4.160-1.el7 for package: 2:vim-enhanced-7.4.160-1.el7.x86_64
--> Processing Dependency: which for package: 2:vim-enhanced-7.4.160-1.el7.x86_64
--> Processing Dependency: libperl.so()(64bit) for package: 2:vim-enhanced-7.4.160-1.el7.x86_64
--> Processing Dependency: libgpm.so.2()(64bit) for package: 2:vim-enhanced-7.4.160-1.el7.x86_64
---> Package wget.x86_64 0:1.14-10.el7_0.1 will be installed
---> Package zlib-devel.x86_64 0:1.2.7-15.el7 will be installed
--> Running transaction check
---> Package cpp.x86_64 0:4.8.5-4.el7 will be installed
---> Package glibc-devel.x86_64 0:2.17-106.el7_2.8 will be installed
--> Processing Dependency: glibc-headers = 2.17-106.el7_2.8 for package: glibc-devel-2.17-106.el7_2.8.x86_64
--> Processing Dependency: glibc = 2.17-106.el7_2.8 for package: glibc-devel-2.17-106.el7_2.8.x86_64
--> Processing Dependency: glibc-headers for package: glibc-devel-2.17-106.el7_2.8.x86_64
---> Package gpm-libs.x86_64 0:1.20.7-5.el7 will be installed
---> Package less.x86_64 0:458-9.el7 will be installed
--> Processing Dependency: groff-base for package: less-458-9.el7.x86_64
---> Package libgnome-keyring.x86_64 0:3.8.0-3.el7 will be installed
---> Package libgomp.x86_64 0:4.8.5-4.el7 will be installed
---> Package libmpc.x86_64 0:1.0.1-3.el7 will be installed
---> Package mpfr.x86_64 0:3.1.1-4.el7 will be installed
---> Package openssh-clients.x86_64 0:6.6.1p1-25.el7_2 will be installed
--> Processing Dependency: openssh = 6.6.1p1-25.el7_2 for package: openssh-clients-6.6.1p1-25.el7_2.x86_64
--> Processing Dependency: fipscheck-lib(x86-64) >= 1.3.0 for package: openssh-clients-6.6.1p1-25.el7_2.x86_64
--> Processing Dependency: libfipscheck.so.1()(64bit) for package: openssh-clients-6.6.1p1-25.el7_2.x86_64
--> Processing Dependency: libedit.so.0()(64bit) for package: openssh-clients-6.6.1p1-25.el7_2.x86_64
---> Package perl.x86_64 4:5.16.3-286.el7 will be installed
--> Processing Dependency: perl(Socket) >= 1.3 for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(Scalar::Util) >= 1.10 for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl-macros for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(threads::shared) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(threads) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(constant) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(Time::Local) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(Time::HiRes) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(Storable) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(Socket) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(Scalar::Util) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(Pod::Simple::XHTML) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(Pod::Simple::Search) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(Filter::Util::Call) for package: 4:perl-5.16.3-286.el7.x86_64
--> Processing Dependency: perl(Carp) for package: 4:perl-5.16.3-286.el7.x86_64
---> Package perl-Error.noarch 1:0.17020-2.el7 will be installed
---> Package perl-Exporter.noarch 0:5.68-3.el7 will be installed
---> Package perl-File-Path.noarch 0:2.09-2.el7 will be installed
---> Package perl-File-Temp.noarch 0:0.23.01-3.el7 will be installed
---> Package perl-Getopt-Long.noarch 0:2.40-2.el7 will be installed
--> Processing Dependency: perl(Pod::Usage) >= 1.14 for package: perl-Getopt-Long-2.40-2.el7.noarch
--> Processing Dependency: perl(Text::ParseWords) for package: perl-Getopt-Long-2.40-2.el7.noarch
---> Package perl-Git.noarch 0:1.8.3.1-6.el7_2.1 will be installed
---> Package perl-PathTools.x86_64 0:3.40-5.el7 will be installed
---> Package perl-TermReadKey.x86_64 0:2.30-20.el7 will be installed
---> Package perl-libs.x86_64 4:5.16.3-286.el7 will be installed
---> Package rsync.x86_64 0:3.0.9-17.el7 will be installed
---> Package vim-common.x86_64 2:7.4.160-1.el7 will be installed
--> Processing Dependency: vim-filesystem for package: 2:vim-common-7.4.160-1.el7.x86_64
---> Package which.x86_64 0:2.20-7.el7 will be installed
--> Running transaction check
---> Package fipscheck-lib.x86_64 0:1.4.1-5.el7 will be installed
--> Processing Dependency: /usr/bin/fipscheck for package: fipscheck-lib-1.4.1-5.el7.x86_64
---> Package glibc.x86_64 0:2.17-106.el7_2.6 will be updated
--> Processing Dependency: glibc = 2.17-106.el7_2.6 for package: glibc-common-2.17-106.el7_2.6.x86_64
---> Package glibc.x86_64 0:2.17-106.el7_2.8 will be an update
---> Package glibc-headers.x86_64 0:2.17-106.el7_2.8 will be installed
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.17-106.el7_2.8.x86_64
--> Processing Dependency: kernel-headers for package: glibc-headers-2.17-106.el7_2.8.x86_64
---> Package groff-base.x86_64 0:1.22.2-8.el7 will be installed
---> Package libedit.x86_64 0:3.0-12.20121213cvs.el7 will be installed
---> Package openssh.x86_64 0:6.6.1p1-25.el7_2 will be installed
---> Package perl-Carp.noarch 0:1.26-244.el7 will be installed
---> Package perl-Filter.x86_64 0:1.49-3.el7 will be installed
---> Package perl-Pod-Simple.noarch 1:3.28-4.el7 will be installed
--> Processing Dependency: perl(Pod::Escapes) >= 1.04 for package: 1:perl-Pod-Simple-3.28-4.el7.noarch
--> Processing Dependency: perl(Encode) for package: 1:perl-Pod-Simple-3.28-4.el7.noarch
---> Package perl-Pod-Usage.noarch 0:1.63-3.el7 will be installed
--> Processing Dependency: perl(Pod::Text) >= 3.15 for package: perl-Pod-Usage-1.63-3.el7.noarch
--> Processing Dependency: perl-Pod-Perldoc for package: perl-Pod-Usage-1.63-3.el7.noarch
---> Package perl-Scalar-List-Utils.x86_64 0:1.27-248.el7 will be installed
---> Package perl-Socket.x86_64 0:2.010-3.el7 will be installed
---> Package perl-Storable.x86_64 0:2.45-3.el7 will be installed
---> Package perl-Text-ParseWords.noarch 0:3.29-4.el7 will be installed
---> Package perl-Time-HiRes.x86_64 4:1.9725-3.el7 will be installed
---> Package perl-Time-Local.noarch 0:1.2300-2.el7 will be installed
---> Package perl-constant.noarch 0:1.27-2.el7 will be installed
---> Package perl-macros.x86_64 4:5.16.3-286.el7 will be installed
---> Package perl-threads.x86_64 0:1.87-4.el7 will be installed
---> Package perl-threads-shared.x86_64 0:1.43-6.el7 will be installed
---> Package vim-filesystem.x86_64 2:7.4.160-1.el7 will be installed
--> Running transaction check
---> Package fipscheck.x86_64 0:1.4.1-5.el7 will be installed
---> Package glibc-common.x86_64 0:2.17-106.el7_2.6 will be updated
---> Package glibc-common.x86_64 0:2.17-106.el7_2.8 will be an update
---> Package kernel-headers.x86_64 0:3.10.0-327.36.2.el7 will be installed
---> Package perl-Encode.x86_64 0:2.51-7.el7 will be installed
---> Package perl-Pod-Escapes.noarch 1:1.04-286.el7 will be installed
---> Package perl-Pod-Perldoc.noarch 0:3.20-4.el7 will be installed
--> Processing Dependency: perl(parent) for package: perl-Pod-Perldoc-3.20-4.el7.noarch
--> Processing Dependency: perl(HTTP::Tiny) for package: perl-Pod-Perldoc-3.20-4.el7.noarch
---> Package perl-podlators.noarch 0:2.5.1-3.el7 will be installed
--> Running transaction check
---> Package perl-HTTP-Tiny.noarch 0:0.033-3.el7 will be installed
---> Package perl-parent.noarch 1:0.225-244.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                  Arch     Version                      Repository
                                                                           Size
================================================================================
Installing:
 gcc                      x86_64   4.8.5-4.el7                  base       16 M
 git                      x86_64   1.8.3.1-6.el7_2.1            updates   4.4 M
 libxslt                  x86_64   1.1.28-5.el7                 base      242 k
 libyaml                  x86_64   0.1.4-11.el7_0               base       55 k
 make                     x86_64   1:3.82-21.el7                base      420 k
 net-tools                x86_64   2.0-0.17.20131004git.el7     base      304 k
 openssl                  x86_64   1:1.0.1e-51.el7_2.7          updates   712 k
 vim-enhanced             x86_64   2:7.4.160-1.el7              base      1.0 M
 wget                     x86_64   1.14-10.el7_0.1              base      545 k
 zlib-devel               x86_64   1.2.7-15.el7                 base       50 k
Updating:
 openssl-libs             x86_64   1:1.0.1e-51.el7_2.7          updates   953 k
Installing for dependencies:
 cpp                      x86_64   4.8.5-4.el7                  base      5.9 M
 fipscheck                x86_64   1.4.1-5.el7                  base       21 k
 fipscheck-lib            x86_64   1.4.1-5.el7                  base       11 k
 glibc-devel              x86_64   2.17-106.el7_2.8             updates   1.0 M
 glibc-headers            x86_64   2.17-106.el7_2.8             updates   663 k
 gpm-libs                 x86_64   1.20.7-5.el7                 base       32 k
 groff-base               x86_64   1.22.2-8.el7                 base      942 k
 kernel-headers           x86_64   3.10.0-327.36.2.el7          updates   3.2 M
 less                     x86_64   458-9.el7                    base      120 k
 libedit                  x86_64   3.0-12.20121213cvs.el7       base       92 k
 libgnome-keyring         x86_64   3.8.0-3.el7                  base      109 k
 libgomp                  x86_64   4.8.5-4.el7                  base      130 k
 libmpc                   x86_64   1.0.1-3.el7                  base       51 k
 mpfr                     x86_64   3.1.1-4.el7                  base      203 k
 openssh                  x86_64   6.6.1p1-25.el7_2             updates   435 k
 openssh-clients          x86_64   6.6.1p1-25.el7_2             updates   639 k
 perl                     x86_64   4:5.16.3-286.el7             base      8.0 M
 perl-Carp                noarch   1.26-244.el7                 base       19 k
 perl-Encode              x86_64   2.51-7.el7                   base      1.5 M
 perl-Error               noarch   1:0.17020-2.el7              base       32 k
 perl-Exporter            noarch   5.68-3.el7                   base       28 k
 perl-File-Path           noarch   2.09-2.el7                   base       26 k
 perl-File-Temp           noarch   0.23.01-3.el7                base       56 k
 perl-Filter              x86_64   1.49-3.el7                   base       76 k
 perl-Getopt-Long         noarch   2.40-2.el7                   base       56 k
 perl-Git                 noarch   1.8.3.1-6.el7_2.1            updates    53 k
 perl-HTTP-Tiny           noarch   0.033-3.el7                  base       38 k
 perl-PathTools           x86_64   3.40-5.el7                   base       82 k
 perl-Pod-Escapes         noarch   1:1.04-286.el7               base       50 k
 perl-Pod-Perldoc         noarch   3.20-4.el7                   base       87 k
 perl-Pod-Simple          noarch   1:3.28-4.el7                 base      216 k
 perl-Pod-Usage           noarch   1.63-3.el7                   base       27 k
 perl-Scalar-List-Utils   x86_64   1.27-248.el7                 base       36 k
 perl-Socket              x86_64   2.010-3.el7                  base       49 k
 perl-Storable            x86_64   2.45-3.el7                   base       77 k
 perl-TermReadKey         x86_64   2.30-20.el7                  base       31 k
 perl-Text-ParseWords     noarch   3.29-4.el7                   base       14 k
 perl-Time-HiRes          x86_64   4:1.9725-3.el7               base       45 k
 perl-Time-Local          noarch   1.2300-2.el7                 base       24 k
 perl-constant            noarch   1.27-2.el7                   base       19 k
 perl-libs                x86_64   4:5.16.3-286.el7             base      687 k
 perl-macros              x86_64   4:5.16.3-286.el7             base       43 k
 perl-parent              noarch   1:0.225-244.el7              base       12 k
 perl-podlators           noarch   2.5.1-3.el7                  base      112 k
 perl-threads             x86_64   1.87-4.el7                   base       49 k
 perl-threads-shared      x86_64   1.43-6.el7                   base       39 k
 rsync                    x86_64   3.0.9-17.el7                 base      360 k
 vim-common               x86_64   2:7.4.160-1.el7              base      5.9 M
 vim-filesystem           x86_64   2:7.4.160-1.el7              base      9.6 k
 which                    x86_64   2.20-7.el7                   base       41 k
Updating for dependencies:
 glibc                    x86_64   2.17-106.el7_2.8             updates   3.6 M
 glibc-common             x86_64   2.17-106.el7_2.8             updates    11 M

Transaction Summary
================================================================================
Install  10 Packages (+50 Dependent packages)
Upgrade   1 Package  (+ 2 Dependent packages)

Total download size: 71 M
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
warning: /var/cache/yum/x86_64/7/base/packages/fipscheck-1.4.1-5.el7.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID f4a80eb5: NOKEY
Public key for fipscheck-1.4.1-5.el7.x86_64.rpm is not installed
Public key for glibc-2.17-106.el7_2.8.x86_64.rpm is not installed
--------------------------------------------------------------------------------
Total                                              2.8 MB/s |  71 MB  00:25     
Retrieving key from http://mirrors.aliyun.com/centos/RPM-GPG-KEY-CentOS-7
Importing GPG key 0xF4A80EB5:
 Userid     : "CentOS-7 Key (CentOS 7 Official Signing Key) <security@centos.org>"
 Fingerprint: 6341 ab27 53d7 8a78 a7c2 7bb1 24c6 a8a7 f4a8 0eb5
 From       : http://mirrors.aliyun.com/centos/RPM-GPG-KEY-CentOS-7
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : glibc-common-2.17-106.el7_2.8.x86_64                        1/66 
  Updating   : glibc-2.17-106.el7_2.8.x86_64                               2/66 
  Updating   : 1:openssl-libs-1.0.1e-51.el7_2.7.x86_64                     3/66 
  Installing : mpfr-3.1.1-4.el7.x86_64                                     4/66 
  Installing : libmpc-1.0.1-3.el7.x86_64                                   5/66 
  Installing : groff-base-1.22.2-8.el7.x86_64                              6/66 
  Installing : perl-HTTP-Tiny-0.033-3.el7.noarch                           7/66 
  Installing : 1:perl-parent-0.225-244.el7.noarch                          8/66 
  Installing : perl-Pod-Perldoc-3.20-4.el7.noarch                          9/66 
  Installing : perl-podlators-2.5.1-3.el7.noarch                          10/66 
  Installing : 1:perl-Pod-Escapes-1.04-286.el7.noarch                     11/66 
  Installing : perl-Encode-2.51-7.el7.x86_64                              12/66 
  Installing : perl-Pod-Usage-1.63-3.el7.noarch                           13/66 
  Installing : perl-Text-ParseWords-3.29-4.el7.noarch                     14/66 
  Installing : 4:perl-libs-5.16.3-286.el7.x86_64                          15/66 
  Installing : 4:perl-macros-5.16.3-286.el7.x86_64                        16/66 
  Installing : 4:perl-Time-HiRes-1.9725-3.el7.x86_64                      17/66 
  Installing : perl-constant-1.27-2.el7.noarch                            18/66 
  Installing : perl-threads-1.87-4.el7.x86_64                             19/66 
  Installing : perl-Time-Local-1.2300-2.el7.noarch                        20/66 
  Installing : perl-Carp-1.26-244.el7.noarch                              21/66 
  Installing : perl-Storable-2.45-3.el7.x86_64                            22/66 
  Installing : perl-threads-shared-1.43-6.el7.x86_64                      23/66 
  Installing : perl-PathTools-3.40-5.el7.x86_64                           24/66 
  Installing : perl-Scalar-List-Utils-1.27-248.el7.x86_64                 25/66 
  Installing : perl-File-Temp-0.23.01-3.el7.noarch                        26/66 
  Installing : perl-File-Path-2.09-2.el7.noarch                           27/66 
  Installing : perl-Socket-2.010-3.el7.x86_64                             28/66 
  Installing : perl-Filter-1.49-3.el7.x86_64                              29/66 
  Installing : 1:perl-Pod-Simple-3.28-4.el7.noarch                        30/66 
  Installing : perl-Getopt-Long-2.40-2.el7.noarch                         31/66 
  Installing : perl-Exporter-5.68-3.el7.noarch                            32/66 
  Installing : 4:perl-5.16.3-286.el7.x86_64                               33/66 
  Installing : 1:perl-Error-0.17020-2.el7.noarch                          34/66 
  Installing : perl-TermReadKey-2.30-20.el7.x86_64                        35/66 
  Installing : less-458-9.el7.x86_64                                      36/66 
  Installing : cpp-4.8.5-4.el7.x86_64                                     37/66 
  Installing : fipscheck-lib-1.4.1-5.el7.x86_64                           38/66 
  Installing : fipscheck-1.4.1-5.el7.x86_64                               39/66 
  Installing : openssh-6.6.1p1-25.el7_2.x86_64                            40/66 
  Installing : libedit-3.0-12.20121213cvs.el7.x86_64                      41/66 
  Installing : openssh-clients-6.6.1p1-25.el7_2.x86_64                    42/66 
  Installing : which-2.20-7.el7.x86_64                                    43/66 
install-info: No such file or directory for /usr/share/info/which.info.gz
  Installing : gpm-libs-1.20.7-5.el7.x86_64                               44/66 
  Installing : libgnome-keyring-3.8.0-3.el7.x86_64                        45/66 
  Installing : libgomp-4.8.5-4.el7.x86_64                                 46/66 
  Installing : 1:make-3.82-21.el7.x86_64                                  47/66 
  Installing : rsync-3.0.9-17.el7.x86_64                                  48/66 
  Installing : perl-Git-1.8.3.1-6.el7_2.1.noarch                          49/66 
  Installing : git-1.8.3.1-6.el7_2.1.x86_64                               50/66 
  Installing : kernel-headers-3.10.0-327.36.2.el7.x86_64                  51/66 
  Installing : glibc-headers-2.17-106.el7_2.8.x86_64                      52/66 
  Installing : glibc-devel-2.17-106.el7_2.8.x86_64                        53/66 
  Installing : 2:vim-filesystem-7.4.160-1.el7.x86_64                      54/66 
  Installing : 2:vim-common-7.4.160-1.el7.x86_64                          55/66 
  Installing : 2:vim-enhanced-7.4.160-1.el7.x86_64                        56/66 
  Installing : gcc-4.8.5-4.el7.x86_64                                     57/66 
  Installing : 1:openssl-1.0.1e-51.el7_2.7.x86_64                         58/66 
  Installing : wget-1.14-10.el7_0.1.x86_64                                59/66 
install-info: No such file or directory for /usr/share/info/wget.info.gz
  Installing : net-tools-2.0-0.17.20131004git.el7.x86_64                  60/66 
  Installing : libxslt-1.1.28-5.el7.x86_64                                61/66 
  Installing : libyaml-0.1.4-11.el7_0.x86_64                              62/66 
  Installing : zlib-devel-1.2.7-15.el7.x86_64                             63/66 
  Cleanup    : 1:openssl-libs-1.0.1e-51.el7_2.5.x86_64                    64/66 
  Cleanup    : glibc-common-2.17-106.el7_2.6.x86_64                       65/66 
  Cleanup    : glibc-2.17-106.el7_2.6.x86_64                              66/66 
  Verifying  : 2:vim-common-7.4.160-1.el7.x86_64                           1/66 
  Verifying  : perl-Exporter-5.68-3.el7.noarch                             2/66 
  Verifying  : gcc-4.8.5-4.el7.x86_64                                      3/66 
  Verifying  : perl-HTTP-Tiny-0.033-3.el7.noarch                           4/66 
  Verifying  : perl-threads-shared-1.43-6.el7.x86_64                       5/66 
  Verifying  : 4:perl-Time-HiRes-1.9725-3.el7.x86_64                       6/66 
  Verifying  : net-tools-2.0-0.17.20131004git.el7.x86_64                   7/66 
  Verifying  : perl-constant-1.27-2.el7.noarch                             8/66 
  Verifying  : perl-PathTools-3.40-5.el7.x86_64                            9/66 
  Verifying  : perl-threads-1.87-4.el7.x86_64                             10/66 
  Verifying  : 1:perl-Pod-Escapes-1.04-286.el7.noarch                     11/66 
  Verifying  : 4:perl-libs-5.16.3-286.el7.x86_64                          12/66 
  Verifying  : 4:perl-macros-5.16.3-286.el7.x86_64                        13/66 
  Verifying  : groff-base-1.22.2-8.el7.x86_64                             14/66 
  Verifying  : glibc-2.17-106.el7_2.8.x86_64                              15/66 
  Verifying  : zlib-devel-1.2.7-15.el7.x86_64                             16/66 
  Verifying  : libedit-3.0-12.20121213cvs.el7.x86_64                      17/66 
  Verifying  : 1:openssl-libs-1.0.1e-51.el7_2.7.x86_64                    18/66 
  Verifying  : perl-TermReadKey-2.30-20.el7.x86_64                        19/66 
  Verifying  : 4:perl-5.16.3-286.el7.x86_64                               20/66 
  Verifying  : which-2.20-7.el7.x86_64                                    21/66 
  Verifying  : glibc-devel-2.17-106.el7_2.8.x86_64                        22/66 
  Verifying  : perl-File-Temp-0.23.01-3.el7.noarch                        23/66 
  Verifying  : 1:perl-Pod-Simple-3.28-4.el7.noarch                        24/66 
  Verifying  : glibc-headers-2.17-106.el7_2.8.x86_64                      25/66 
  Verifying  : perl-Time-Local-1.2300-2.el7.noarch                        26/66 
  Verifying  : gpm-libs-1.20.7-5.el7.x86_64                               27/66 
  Verifying  : glibc-common-2.17-106.el7_2.8.x86_64                       28/66 
  Verifying  : perl-Pod-Perldoc-3.20-4.el7.noarch                         29/66 
  Verifying  : 1:openssl-1.0.1e-51.el7_2.7.x86_64                         30/66 
  Verifying  : 1:perl-Error-0.17020-2.el7.noarch                          31/66 
  Verifying  : 2:vim-filesystem-7.4.160-1.el7.x86_64                      32/66 
  Verifying  : openssh-6.6.1p1-25.el7_2.x86_64                            33/66 
  Verifying  : perl-Carp-1.26-244.el7.noarch                              34/66 
  Verifying  : 2:vim-enhanced-7.4.160-1.el7.x86_64                        35/66 
  Verifying  : perl-Git-1.8.3.1-6.el7_2.1.noarch                          36/66 
  Verifying  : libxslt-1.1.28-5.el7.x86_64                                37/66 
  Verifying  : 1:perl-parent-0.225-244.el7.noarch                         38/66 
  Verifying  : perl-Storable-2.45-3.el7.x86_64                            39/66 
  Verifying  : perl-Scalar-List-Utils-1.27-248.el7.x86_64                 40/66 
  Verifying  : libmpc-1.0.1-3.el7.x86_64                                  41/66 
  Verifying  : fipscheck-lib-1.4.1-5.el7.x86_64                           42/66 
  Verifying  : wget-1.14-10.el7_0.1.x86_64                                43/66 
  Verifying  : libgnome-keyring-3.8.0-3.el7.x86_64                        44/66 
  Verifying  : perl-Pod-Usage-1.63-3.el7.noarch                           45/66 
  Verifying  : perl-Encode-2.51-7.el7.x86_64                              46/66 
  Verifying  : libyaml-0.1.4-11.el7_0.x86_64                              47/66 
  Verifying  : kernel-headers-3.10.0-327.36.2.el7.x86_64                  48/66 
  Verifying  : perl-podlators-2.5.1-3.el7.noarch                          49/66 
  Verifying  : perl-Getopt-Long-2.40-2.el7.noarch                         50/66 
  Verifying  : cpp-4.8.5-4.el7.x86_64                                     51/66 
  Verifying  : perl-File-Path-2.09-2.el7.noarch                           52/66 
  Verifying  : libgomp-4.8.5-4.el7.x86_64                                 53/66 
  Verifying  : openssh-clients-6.6.1p1-25.el7_2.x86_64                    54/66 
  Verifying  : mpfr-3.1.1-4.el7.x86_64                                    55/66 
  Verifying  : 1:make-3.82-21.el7.x86_64                                  56/66 
  Verifying  : perl-Socket-2.010-3.el7.x86_64                             57/66 
  Verifying  : perl-Filter-1.49-3.el7.x86_64                              58/66 
  Verifying  : perl-Text-ParseWords-3.29-4.el7.noarch                     59/66 
  Verifying  : git-1.8.3.1-6.el7_2.1.x86_64                               60/66 
  Verifying  : rsync-3.0.9-17.el7.x86_64                                  61/66 
  Verifying  : fipscheck-1.4.1-5.el7.x86_64                               62/66 
  Verifying  : less-458-9.el7.x86_64                                      63/66 
  Verifying  : glibc-common-2.17-106.el7_2.6.x86_64                       64/66 
  Verifying  : glibc-2.17-106.el7_2.6.x86_64                              65/66 
  Verifying  : 1:openssl-libs-1.0.1e-51.el7_2.5.x86_64                    66/66 

Installed:
  gcc.x86_64 0:4.8.5-4.el7                                                      
  git.x86_64 0:1.8.3.1-6.el7_2.1                                                
  libxslt.x86_64 0:1.1.28-5.el7                                                 
  libyaml.x86_64 0:0.1.4-11.el7_0                                               
  make.x86_64 1:3.82-21.el7                                                     
  net-tools.x86_64 0:2.0-0.17.20131004git.el7                                   
  openssl.x86_64 1:1.0.1e-51.el7_2.7                                            
  vim-enhanced.x86_64 2:7.4.160-1.el7                                           
  wget.x86_64 0:1.14-10.el7_0.1                                                 
  zlib-devel.x86_64 0:1.2.7-15.el7                                              

Dependency Installed:
  cpp.x86_64 0:4.8.5-4.el7                                                      
  fipscheck.x86_64 0:1.4.1-5.el7                                                
  fipscheck-lib.x86_64 0:1.4.1-5.el7                                            
  glibc-devel.x86_64 0:2.17-106.el7_2.8                                         
  glibc-headers.x86_64 0:2.17-106.el7_2.8                                       
  gpm-libs.x86_64 0:1.20.7-5.el7                                                
  groff-base.x86_64 0:1.22.2-8.el7                                              
  kernel-headers.x86_64 0:3.10.0-327.36.2.el7                                   
  less.x86_64 0:458-9.el7                                                       
  libedit.x86_64 0:3.0-12.20121213cvs.el7                                       
  libgnome-keyring.x86_64 0:3.8.0-3.el7                                         
  libgomp.x86_64 0:4.8.5-4.el7                                                  
  libmpc.x86_64 0:1.0.1-3.el7                                                   
  mpfr.x86_64 0:3.1.1-4.el7                                                     
  openssh.x86_64 0:6.6.1p1-25.el7_2                                             
  openssh-clients.x86_64 0:6.6.1p1-25.el7_2                                     
  perl.x86_64 4:5.16.3-286.el7                                                  
  perl-Carp.noarch 0:1.26-244.el7                                               
  perl-Encode.x86_64 0:2.51-7.el7                                               
  perl-Error.noarch 1:0.17020-2.el7                                             
  perl-Exporter.noarch 0:5.68-3.el7                                             
  perl-File-Path.noarch 0:2.09-2.el7                                            
  perl-File-Temp.noarch 0:0.23.01-3.el7                                         
  perl-Filter.x86_64 0:1.49-3.el7                                               
  perl-Getopt-Long.noarch 0:2.40-2.el7                                          
  perl-Git.noarch 0:1.8.3.1-6.el7_2.1                                           
  perl-HTTP-Tiny.noarch 0:0.033-3.el7                                           
  perl-PathTools.x86_64 0:3.40-5.el7                                            
  perl-Pod-Escapes.noarch 1:1.04-286.el7                                        
  perl-Pod-Perldoc.noarch 0:3.20-4.el7                                          
  perl-Pod-Simple.noarch 1:3.28-4.el7                                           
  perl-Pod-Usage.noarch 0:1.63-3.el7                                            
  perl-Scalar-List-Utils.x86_64 0:1.27-248.el7                                  
  perl-Socket.x86_64 0:2.010-3.el7                                              
  perl-Storable.x86_64 0:2.45-3.el7                                             
  perl-TermReadKey.x86_64 0:2.30-20.el7                                         
  perl-Text-ParseWords.noarch 0:3.29-4.el7                                      
  perl-Time-HiRes.x86_64 4:1.9725-3.el7                                         
  perl-Time-Local.noarch 0:1.2300-2.el7                                         
  perl-constant.noarch 0:1.27-2.el7                                             
  perl-libs.x86_64 4:5.16.3-286.el7                                             
  perl-macros.x86_64 4:5.16.3-286.el7                                           
  perl-parent.noarch 1:0.225-244.el7                                            
  perl-podlators.noarch 0:2.5.1-3.el7                                           
  perl-threads.x86_64 0:1.87-4.el7                                              
  perl-threads-shared.x86_64 0:1.43-6.el7                                       
  rsync.x86_64 0:3.0.9-17.el7                                                   
  vim-common.x86_64 2:7.4.160-1.el7                                             
  vim-filesystem.x86_64 2:7.4.160-1.el7                                         
  which.x86_64 0:2.20-7.el7                                                     

Updated:
  openssl-libs.x86_64 1:1.0.1e-51.el7_2.7                                       

Dependency Updated:
  glibc.x86_64 0:2.17-106.el7_2.8     glibc-common.x86_64 0:2.17-106.el7_2.8    

Complete!
 ---> bf4edb26d2b1
Removing intermediate container 1c6216347430
Step 7 : COPY *.rpm /opt/
 ---> c88f6aef6822
Removing intermediate container f1223b39f177
Step 8 : COPY Gemfile /opt/
 ---> 68d8cceaeb24
Removing intermediate container b777e384566d
Step 9 : RUN yum install -y /opt/ruby-*.rpm
 ---> Running in b03e501c0594
Loaded plugins: fastestmirror, ovl
Examining /opt/ruby-2.3.1-1.el7.centos.x86_64.rpm: ruby-2.3.1-1.el7.centos.x86_64
Marking /opt/ruby-2.3.1-1.el7.centos.x86_64.rpm to be installed
Examining /opt/ruby-debuginfo-2.3.1-1.el7.centos.x86_64.rpm: ruby-debuginfo-2.3.1-1.el7.centos.x86_64
Marking /opt/ruby-debuginfo-2.3.1-1.el7.centos.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package ruby.x86_64 0:2.3.1-1.el7.centos will be installed
---> Package ruby-debuginfo.x86_64 0:2.3.1-1.el7.centos will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package
      Arch   Version            Repository                                 Size
================================================================================
Installing:
 ruby x86_64 2.3.1-1.el7.centos /ruby-2.3.1-1.el7.centos.x86_64            37 M
 ruby-debuginfo
      x86_64 2.3.1-1.el7.centos /ruby-debuginfo-2.3.1-1.el7.centos.x86_64  41 M

Transaction Summary
================================================================================
Install  2 Packages

Total size: 77 M
Installed size: 77 M
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : ruby-debuginfo-2.3.1-1.el7.centos.x86_64                     1/2 
  Installing : ruby-2.3.1-1.el7.centos.x86_64                               2/2 
  Verifying  : ruby-2.3.1-1.el7.centos.x86_64                               1/2 
  Verifying  : ruby-debuginfo-2.3.1-1.el7.centos.x86_64                     2/2 

Installed:
  ruby.x86_64 0:2.3.1-1.el7.centos  ruby-debuginfo.x86_64 0:2.3.1-1.el7.centos 

Complete!
 ---> a28eb65ccec8
Removing intermediate container b03e501c0594
Step 10 : RUN yum install -y /opt/libuv*.rpm /opt/nodejs*.rpm /opt/npm*.rpm
 ---> Running in 6fe686747d8f
Loaded plugins: fastestmirror, ovl
Examining /opt/libuv-1.9.1-1.el7.x86_64.rpm: 1:libuv-1.9.1-1.el7.x86_64
Marking /opt/libuv-1.9.1-1.el7.x86_64.rpm to be installed
Examining /opt/nodejs-6.9.1-1.el7.x86_64.rpm: 1:nodejs-6.9.1-1.el7.x86_64
Marking /opt/nodejs-6.9.1-1.el7.x86_64.rpm to be installed
Examining /opt/npm-3.10.8-1.6.9.1.1.el7.x86_64.rpm: 1:npm-3.10.8-1.6.9.1.1.el7.x86_64
Marking /opt/npm-3.10.8-1.6.9.1.1.el7.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package libuv.x86_64 1:1.9.1-1.el7 will be installed
---> Package nodejs.x86_64 1:6.9.1-1.el7 will be installed
--> Processing Dependency: libicudata.so.50()(64bit) for package: 1:nodejs-6.9.1-1.el7.x86_64
Loading mirror speeds from cached hostfile
 * base: mirrors.aliyun.com
 * extras: mirrors.aliyun.com
 * updates: mirrors.aliyun.com
--> Processing Dependency: libicui18n.so.50()(64bit) for package: 1:nodejs-6.9.1-1.el7.x86_64
--> Processing Dependency: libicuuc.so.50()(64bit) for package: 1:nodejs-6.9.1-1.el7.x86_64
---> Package npm.x86_64 1:3.10.8-1.6.9.1.1.el7 will be installed
--> Running transaction check
---> Package libicu.x86_64 0:50.1.2-15.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package
        Arch   Version                   Repository                        Size
================================================================================
Installing:
 libuv  x86_64 1:1.9.1-1.el7             /libuv-1.9.1-1.el7.x86_64        167 k
 nodejs x86_64 1:6.9.1-1.el7             /nodejs-6.9.1-1.el7.x86_64        16 M
 npm    x86_64 1:3.10.8-1.6.9.1.1.el7    /npm-3.10.8-1.6.9.1.1.el7.x86_64 9.7 M
Installing for dependencies:
 libicu x86_64 50.1.2-15.el7             base                             6.9 M

Transaction Summary
================================================================================
Install  3 Packages (+1 Dependent package)

Total size: 33 M
Total download size: 6.9 M
Installed size: 50 M
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : 1:libuv-1.9.1-1.el7.x86_64                                   1/4 
  Installing : libicu-50.1.2-15.el7.x86_64                                  2/4 
  Installing : 1:npm-3.10.8-1.6.9.1.1.el7.x86_64                            3/4 
  Installing : 1:nodejs-6.9.1-1.el7.x86_64                                  4/4 
  Verifying  : 1:nodejs-6.9.1-1.el7.x86_64                                  1/4 
  Verifying  : libicu-50.1.2-15.el7.x86_64                                  2/4 
  Verifying  : 1:libuv-1.9.1-1.el7.x86_64                                   3/4 
  Verifying  : 1:npm-3.10.8-1.6.9.1.1.el7.x86_64                            4/4 

Installed:
  libuv.x86_64 1:1.9.1-1.el7                nodejs.x86_64 1:6.9.1-1.el7        
  npm.x86_64 1:3.10.8-1.6.9.1.1.el7        

Dependency Installed:
  libicu.x86_64 0:50.1.2-15.el7                                                 

Complete!
 ---> 26fc3d3f6c03
Removing intermediate container 6fe686747d8f
Step 11 : RUN gem sources --add https://ruby.taobao.org/ --remove https://rubygems.org/
 ---> Running in a6bf2e9fc348
https://ruby.taobao.org/ added to sources
https://rubygems.org/ removed from sources
 ---> 68626fd8e142
Removing intermediate container a6bf2e9fc348
Step 12 : RUN gem install bundler
 ---> Running in 7ce8c7d5e683
Successfully installed bundler-1.13.6
Parsing documentation for bundler-1.13.6
Installing ri documentation for bundler-1.13.6
Done installing documentation for bundler after 8 seconds
1 gem installed
 ---> 0058126f7002
Removing intermediate container 7ce8c7d5e683
Step 13 : RUN cd /opt/; bundle install
 ---> Running in acb643c94d52
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
Fetching gem metadata from https://ruby.taobao.org/...........
Fetching version metadata from https://ruby.taobao.org/..
Resolving dependencies...
Installing i18n 0.7.0
Using json 1.8.3
Installing minitest 5.9.1
Installing thread_safe 0.3.5
Installing addressable 2.4.0
Installing coffee-script-source 1.10.0
Installing execjs 2.7.0
Installing colorator 1.1.0
Installing ffi 1.9.14 with native extensions
Installing multipart-post 2.0.0
Installing forwardable-extended 2.6.0
Installing gemoji 2.1.0
Installing net-dns 0.8.0
Installing public_suffix 1.5.3
Installing sass 3.4.22
Installing rb-fsevent 0.9.7
Installing kramdown 1.11.1
Installing liquid 3.0.6
Installing mercenary 0.3.6
Installing rouge 1.11.1
Installing safe_yaml 1.0.4
Installing jekyll-feed 0.5.1
Installing mini_portile2 2.1.0
Installing jekyll-paginate 1.1.0
Installing jekyll-sitemap 0.10.0
Installing jekyll-swiss 0.4.0
Installing minima 1.2.0
Installing unicode-display_width 1.1.1
Using bundler 1.13.6
Installing tzinfo 1.2.2
Installing coffee-script 2.4.1
Installing ethon 0.9.1
Installing rb-inotify 0.9.7
Installing faraday 0.9.2
Installing pathutil 0.14.0
Installing jekyll-sass-converter 1.3.0
Installing nokogiri 1.6.8.1 with native extensions
Installing terminal-table 1.7.3
Installing activesupport 4.2.7
Installing jekyll-coffeescript 1.0.1
Installing typhoeus 0.8.0
Installing listen 3.0.6
Installing sawyer 0.7.0
Installing html-pipeline 2.4.2
Installing jekyll-watch 1.5.0
Installing octokit 4.3.0
Installing jekyll 3.2.1
Installing github-pages-health-check 1.2.0
Installing jekyll-gist 1.4.0
Installing jekyll-github-metadata 2.1.1
Installing jekyll-mentions 1.2.0
Installing jekyll-redirect-from 0.11.0
Installing jekyll-seo-tag 2.0.0
Installing jemoji 0.7.0
Installing github-pages 98
Bundle complete! 5 Gemfile dependencies, 55 gems now installed.
Use `bundle show [gemname]` to see where a bundled gem is installed.
Post-install message from html-pipeline:
-------------------------------------------------
Thank you for installing html-pipeline!
You must bundle Filter gem dependencies.
See html-pipeline README.md for more details.
https://github.com/jch/html-pipeline#dependencies
-------------------------------------------------
Post-install message from github-pages:
---------------------------------------------------
Thank you for installing github-pages!
GitHub Pages recently upgraded to Jekyll 3.0, which
includes some breaking changes. More information:
https://github.com/blog/2100-github-pages-jekyll-3
---------------------------------------------------
 ---> 8b7f22cd791e
Removing intermediate container acb643c94d52
Step 14 : RUN rm -rf /opt/*; yum clean all; history -c
 ---> Running in 3acc36de567d
Loaded plugins: fastestmirror, ovl
Cleaning repos: base extras updates
Cleaning up everything
Cleaning up list of fastest mirrors
 ---> 472306615a4b
Removing intermediate container 3acc36de567d
Step 15 : EXPOSE 8080
 ---> Running in 31573a8922ac
 ---> 9c375d68d3a2
Removing intermediate container 31573a8922ac
Step 16 : ENTRYPOINT /bin/bash
 ---> Running in b934572c5685
 ---> 9ce38ec824e1
Removing intermediate container b934572c5685
Successfully built 9ce38ec824e1
[root@xiexianbin_cn docker]#

登录Docker Hub

[root@xiexianbin_cn ~]# docker login
Username: xiexianbin
Password: 
Email: me@xiexianbin.cn
WARNING: login credentials saved in /root/.dockercfg.
Login Succeeded
[root@xiexianbin_cn ~]# 

docker push

docker push xiexianbin/centos7:jekyll

完毕。